/*  

 1. Описати своїми словами навіщо потрібні функції у програмуванні.
    Функції потрібні привести виконання необхідного нам коду,інкоил доволі довгого та зі складною логікою до виклику короткої "команди" - власне назви функції та (). Одного разу створивши фукнцію ми зможемо викликати її повторно, не описуючи всю логіку дій заново.
 2. Описати своїми словами, навіщо у функцію передавати аргумент.
    Фукнції можуть бути і без аргументів. Наприклад, функція одинарного виводу встановленої зазадлегідь інформації (повідомлення, стрічки, числа і т.д.). Але якщо робота функції залежить від якихось вхідних даних зовні функції, або її логіка може працювати з розгалуженим кінцевим результатом, то ми маємо передати їй аргументи - ті самі вхідні дані. Це можуть бути назви змінних, з якими функція проведе обчислення, кількість повторних виводів повідомлення, та інші дані, які впливатимуть на кінцевий результат виконання та результат повернений функцією.
 3. Що таке оператор return та як він працює всередині функції?
    return визначає, що саме, яке значення повертає функція після завершення виконання свого коду, або частини коду. Тобто функція може просто проводити якісь розрахунки, мати свою логіку, виводити повідомлення. Але якщо в ній не прописано, що вона повертає, то при присвоєнні змінній функції результат буде undefined. Ообиливим моментом є те, що після спрацювання коду return зі значенням, яке він повертає, подальше виконання коду функції припиняється.

*/

    
// Вирішення ускладненого завдання:
    
let m = +prompt("Enter first number");
while (m === 0 || isNaN(m) ) {
    m = +prompt("Please, enter a number! Digits are allowed only.", m);
}

let operator = prompt("Enter desirable action (arifmetic operator): +, -, /, * ");

let n = +prompt("Enter second number");
while (n === 0 || isNaN(n) ) {
    n = +prompt("Please, enter a number! Digits are allowed only.", n);
}
    
let result = calculate(m, n, operator);

function calculate(a, b, operator) {
    if(operator === "+") {
        return a + b;
    } else if(operator === "-") {
        return a - b;
    } else if(operator === "/") {
        return a / b;
    } else if(operator === "*") {
        return a * b;
    }
}

console.log(result);
        

    
    
    
    

